Bug 173646 - Selinux denials for spamd
Selinux denials for spamd
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 14:50 EST by Graham Campbell
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 13:49:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Campbell 2005-11-18 14:50:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
SeLinux denies access to spamd many times. 

Version-Release number of selected component (if applicable):
spamassassin-3.0.4-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Use Selinux in enforcing/targeted mode
2. Set evolution to filter mail using spamassassin
3. Read mail
4. Look at audit logs
  

Actual Results:  Many denials as per Additional Information

Expected Results:  No Selinux denials

Additional info:

Extract from /var/log/audit/audit.log:

type=AVC msg=audit(1132324042.516:8455): avc:  denied  { write } for  pid=1862 comm="spamd" name="log" dev=tmpfs ino=4750 scontext=system_u:system_r:spamd_t tcontext=system_u:object_r:device_t tclass=sock_file
type=SYSCALL msg=audit(1132324042.516:8455): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfb60480 a2=862bc0 a3=6e items=1 pid=1862 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="spamd" exe="/usr/bin/perl"
Comment 1 Warren Togami 2006-12-14 13:49:46 EST
FC4 is no longer a supported product.  This issue is most definitely fixed in
FC6.  Please upgrade.

Note You need to log in before you can comment on or make changes to this bug.